<?php

    include("../../classes/database.class.php");
    include("../../classes/itemStockModel.class.php");
    include("../../classes/itemStockController.class.php");

    $idDocumento = $_POST["idDocumento"];
    $idArtigo = $_POST["idArtigo"];
    $descricao = $_POST["descricao"];
    $qtdDisponivel = $_POST["qtdDisponivel"];
    $qtd = $_POST["qtd"];
    $preco = $_POST["preco"];

    if($idDocumento == ""){
        $idDocumento = null;
    }
    if($idArtigo == ""){
        $idArtigo = null;
    }
    if($descricao == ""){
        $descricao = null;
    }
    if($qtdDisponivel == ""){
        $qtdDisponivel = null;
    }
    if($qtd == ""){
        $qtd = null;
    }
    if($preco == ""){
        $preco = null;
    }
    
    $modelo = new ItemStockController($idDocumento, $idArtigo, $descricao, $qtdDisponivel, $qtd, $preco);
    $id = $modelo->createItemStockInventario();
    echo $id;